<div id='divGestionData'>
    <form method="post" id="formGestionData" name="formGestionData">
    	<h3 class="clearfix">
    	    <a class="principal button button_right"  style="margin-top:-10px" onClick="saveData('{{ path('ProjetAchat.ActionData.saveData', {typeObjet:typeObjet,idObjet:idObjet,idTasks:idTasks, idAction: idAction, idData:idData}) }}');">{{ 'Terminé' | trad }}</a> 
    	    {% if createModif %}
    	    	<a class="secondaire button button_right" style="margin-top:-10px" onClick="triggerTab('divActionModulable');">{{ 'Précédent' | trad }}</a>
	    	{% endif %}
    	    <a class="secondaire button button_right" style="margin-top:-10px" onClick="triggerTab('dataAction');">{{ 'Annuler' | trad }}</a>
    	</h3>
    
    	{% include '@projetAchat/action/tabs/data.twig' %}
    </form>
    
    <script>
    	function saveData(path)
    	{
    		activeLoader();
            $.ajax({
                dataType : 'html',
                url: path,
                type: "POST",
                data: $('#formGestionData').serialize(),
                success: function(result){
                    var data = jQuery.parseJSON(result);
                    
                   	refrechDiv(data.path, 'dataAction', '', '', data.post);
                   	triggerTab('dataAction');
    
                }
            });		
    	}
    	
    	$('.input_value_switch').change(function(){
    		var idInput = $(this).attr('id');
    		var splitInput = idInput.split('_');
    
    		if(splitInput[2]=='MOD')
    		{
    			if($(this).is(':checked'))
    			{
    				$('#input_checkbox_AFF_'+splitInput[3]).prop("disabled", true);
    			}
    			else
    			{
    				$('#input_checkbox_AFF_'+splitInput[3]).prop("disabled", false);
    			}
    		}
    		else
    		{
    			if($('#input_checkbox_MOD_'+splitInput[3]).hasClass('disabled'))
    			{
    			}
    			else
    			{
        			if($(this).is(':checked'))
        			{
        				$('#input_checkbox_MOD_'+splitInput[3]).prop("disabled", false);
        			}
        			else
        			{
        				$('#input_checkbox_MOD_'+splitInput[3]).prop("disabled", true);
        			}
    			}
    		}
    	});
    	
    </script>
    <script type="text/javascript" src="{{ baseUrl('js/parametre.js') }}" id="parametreJS"></script>
</div>